Step 1 - Check Requirements

Mwi is very easy to install and should only take a few minutes, but there are a few questions that may appear confusing if you do not have a technical background; If at any point you get stuck please ask your web hosting provider;

The first step in the installation process is to check whether your server supports Mwi; Most servers should be able to run it without any trouble.

Core

Version Status
PHP

Sagui requires PHP version 5.3 or higher

7.1.26-1+ubuntu18.04.1+deb.sury.org+1 OK

Required

Extension Description Version Status
FileInfo

Allows retrieval of information regarding a vast majority of file types. This information may include dimensions, quality, length etc.

N/A OK
Mcrypt

Sagui uses the Mcrypt library for encryption and hash generation.

N/A OK
MySQL

Sagui requires access to a MySQL database running version 5.0 or higher.

Not checked yet FAIL
Zlib

Offers the option to transparently compress your pages on-the-fly, if the requesting browser supports this. Sagui require Zlib in order to unzip and install themes and modules.

N/A OK
Json

Sagui require Json in order to encode and decode JavaScript Object Notation (JSON) data.

N/A OK

Recommended

Extension Description Version Status
GD

Used to create and manipulate image files in a variety of different image formats, including GIF, PNG, JPEG, WBMP, and XPM.

2.2.5 OK
Curl

Allows you to connect and communicate to many different types of servers with many different types of protocols.

7.58.0 OK
Xml-Rpc

Support for creating both Xml-Rpc clients and servers.

N/A OK

Summary

Your server meets all the requirements for Mwi to run properly, go to the next step by clicking the button below.